Peplink Portal Docs

Get eSIM subscription of a SIM

Retrieve the eSIM profile status of a sim, e.g. to check whether an end customer has downloaded and enabled the eSIM on their device.

Beta

This API is in beta. Its fields and behavior may still change.

For eSIM only

400 will be returned if the sim is not an eSIM, or if its subscription cannot be retrieved at the moment.

The status is refreshed from the carrier when it is more than a minute old, so this call can take a few seconds.

Request

GET/sims/{iccid}/esim-subscription

Path parameters

iccidstringrequired

ICCID of the sim to retrieve.

Response

A json is returned in the response body with the following fields:

profileStatusenum

Status of the eSIM profile.

  • INITIAL — The profile is created but not yet available for download
  • AVAILABLE — The profile is available for download
  • PENDING — The profile download is pending
  • EMAIL_APPROVED — The activation is approved by email
  • AUTHENTICATED — The device is authenticated to download the profile
  • DOWNLOADED — The profile is downloaded to the device
  • ENABLED — The profile is installed and enabled on the device
  • DISABLED — The profile is installed but disabled on the device
  • EID_MATCHED — The profile is bound to the EID of a device
  • ERROR — The profile is in an error state
  • UNKNOWN — The profile status is not recognized
eidnullable string

EID of the device the eSIM profile is bound to. null if not applicable.

updatedAtdatetime string

Time of when the profile status is last changed.

Examples

Request

curl -X GET 'https://portal.peplink.com/api/e/v1/cp/sims/{iccid}/esim-subscription' \  -H 'Authorization: Bearer {token}'

Response

{
  "profileStatus": "ENABLED",
  "eid": "89049032000000000000000000000000",
  "updatedAt": "2026-09-30T08:15:42.000Z"
}

On this page